PKCS12SafeBagBuilder (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.pkcs

## Class PKCS12SafeBagBuilder

- java.lang.Object
- - org.bouncycastle.pkcs.PKCS12SafeBagBuilder

- Direct Known Subclasses:
    JcaPKCS12SafeBagBuilder

      public class PKCS12SafeBagBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKCS12SafeBagBuilder(org.bouncycastle.asn1.x509.Certificate certificate)`
    `PKCS12SafeBagBuilder(org.bouncycastle.asn1.x509.CertificateList crl)`
    `PKCS12SafeBagBuilder(org.bouncycastle.asn1.pkcs.PrivateKeyInfo privateKeyInfo)`
    `PKCS12SafeBagBuilder(org.bouncycastle.asn1.pkcs.PrivateKeyInfo privateKeyInfo, OutputEncryptor encryptor)`
    `PKCS12SafeBagBuilder(X509CertificateHolder certificate)`
    `PKCS12SafeBagBuilder(X509CRLHolder crl)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PKCS12SafeBagBuilder` | `addBagAttribute(org.bouncycastle.asn1.ASN1ObjectIdentifier attrType, org.bouncycastle.asn1.ASN1Encodable attrValue)`
    `PKCS12SafeBag` | `build()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKCS12SafeBagBuilder

          public PKCS12SafeBagBuilder(org.bouncycastle.asn1.pkcs.PrivateKeyInfo privateKeyInfo,
                              OutputEncryptor encryptor)

    - #### PKCS12SafeBagBuilder

          public PKCS12SafeBagBuilder(org.bouncycastle.asn1.pkcs.PrivateKeyInfo privateKeyInfo)

    - #### PKCS12SafeBagBuilder

          public PKCS12SafeBagBuilder(X509CertificateHolder certificate)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### PKCS12SafeBagBuilder

          public PKCS12SafeBagBuilder(X509CRLHolder crl)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### PKCS12SafeBagBuilder

          public PKCS12SafeBagBuilder(org.bouncycastle.asn1.x509.Certificate certificate)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### PKCS12SafeBagBuilder

          public PKCS12SafeBagBuilder(org.bouncycastle.asn1.x509.CertificateList crl)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### addBagAttribute

          public PKCS12SafeBagBuilder addBagAttribute(org.bouncycastle.asn1.ASN1ObjectIdentifier attrType,
                                             org.bouncycastle.asn1.ASN1Encodable attrValue)

    - #### build

          public PKCS12SafeBag build()